## GMimeMultipartSigned

GMimeMultipartSigned — Signed MIME multiparts

## Functions

GMimeMultipartSigned * | g_mime_multipart_signed_new ()
GMimeMultipartSigned * | g_mime_multipart_signed_sign ()
GMimeSignatureList * | g_mime_multipart_signed_verify ()

## Types and Values

struct | GMimeMultipartSigned

## Object Hierarchy

        GObject
        ╰── GMimeObject
            ╰── GMimeMultipart
                ╰── GMimeMultipartSigned

## Description

A GMimeMultipartSigned part is a special subclass of GMimeMultipart to make it easier to manipulate the multipart/signed MIME type.

## Functions

### g_mime_multipart_signed_new ()

    GMimeMultipartSigned *
    g_mime_multipart_signed_new (void);

Creates a new MIME multipart/signed object.

#### Returns

an empty MIME multipart/signed object.

### g_mime_multipart_signed_sign ()

    GMimeMultipartSigned *
    g_mime_multipart_signed_sign (GMimeCryptoContext *ctx,
                                  GMimeObject *entity,
                                  const char *userid,
                                  GError **err);

Attempts to sign the `content` MIME part with `userid` 's private key using the `ctx` signing context. If successful, a new multipart/signed object is returned.

#### Parameters

ctx | a GMimeCryptoContext |
entity | MIME part to sign |
userid | user id to sign with |
err | a GError |

#### Returns

a new GMimeMultipartSigned object on success or `NULL` on fail. If signing fails, an exception will be set on `err` to provide information as to why the failure occurred.

[nullable][transfer full]

### g_mime_multipart_signed_verify ()

    GMimeSignatureList *
    g_mime_multipart_signed_verify (GMimeMultipartSigned *mps,
                                    GMimeVerifyFlags flags,
                                    GError **err);

Attempts to verify the signed MIME part contained within the multipart/signed object `mps` .

#### Parameters

mps | a GMimeMultipartSigned |
flags | a GMimeVerifyFlags |
err | a GError |

#### Returns

a new GMimeSignatureList object on success or `NULL` on fail. If the verification fails, an exception will be set on `err` to provide information as to why the failure occurred.

[nullable][transfer full]

## Types and Values

### struct GMimeMultipartSigned

    struct GMimeMultipartSigned;

A multipart/signed MIME part.

#### Members

## See Also

GMimeMultipart